Bug 176680 - GnuCash opens with unreadable font
GnuCash opens with unreadable font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 13:14 EST by Mike Jang
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 13:32:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of gnucash with unreadable font (10.50 KB, image/png)
2005-12-29 13:18 EST, Mike Jang
no flags Details

  None (edit)
Description Mike Jang 2005-12-29 13:14:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051010 Firefox/1.0.7 (Ubuntu package 1.0.7)

Description of problem:
After installing GNU cash installs fine from the repositories, it opens in a familiar fashion, but all the letters within the windows are replaced by rectangles. (The titlebars read OK, and the basic instructions in the "New Account Hierarchy Setup" read OK, but the click buttons have the squares in place of "Forward" "Back" and "Cancel"). 

Version-Release number of selected component (if applicable):
gnucash-1.8.12-1         (x86_64)

How reproducible:
Always

Steps to Reproduce:
1.Install GnuCash from rawhide
2.run GnuCash, either from the GUI menu, or with the gnucash command in the GUI
3.
  

Actual Results:  see Description

Expected Results:  Readable text

Additional info:
Comment 1 Mike Jang 2005-12-29 13:18:08 EST
Created attachment 122630 [details]
screenshot of gnucash with unreadable font
Comment 2 Bill Nottingham 2005-12-31 23:52:45 EST
Is this a rawhide or test1 install?
Comment 3 Mike Jang 2006-01-01 12:48:38 EST
It's a test1 base, but as I used yum to install gnucash, and test1's yum
repositories default to rawhide, I suppose it's a hybrid. 
Comment 4 Bill Nottingham 2006-01-06 14:28:19 EST
See: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173648#c3

Does that procedure help?
Comment 5 Mike Jang 2006-01-06 14:52:05 EST
In response to comment #4, I tried upgrading libfontenc. I get the same result.
(Did I understand your suggestion correctly?)

It installed upgrades to the 32 and 64 bit versions of this package, as well as
libfontenc-devel. It also installed xorg-x11-filesystem. 

Just tried it on my FC5 test1 32-bit system on my laptop, and I get the same
result (I tried it with gnucash-1.8.11-4. I've had problems trying to upgrade it
to gnucash 1.8.12, but I don't that upgrade issue is relevant to this bug).
Comment 6 Bill Nottingham 2006-01-06 15:00:14 EST
No, I mean the part about regenerating fonts.dir/fonts.scale.

chkfontpath --list | grep /usr | awk -F ':' '{ print $2 }'| while read foo ; do
rm -f $foo/fonts.{dir,scale} ; done
service xfs restart

(Note, at the end of this you will need to restart the X server as well.)

Comment 7 Mike Jang 2006-01-07 01:34:43 EST
It works on the FedoraCore 64 bit system with gnucash-1.8.12. It does not work
on the FedoraCore 32 bit system with gnucash-1.8.11. In fact, it borks the GUI;
when I restart, I get a

"Fatal server error
Could not open default font 'fixed'" 

error. I get the sequence where I'm prompted to reconfigure X, but never get to
the config tool.

Am I missing something, or should I open a separate bug report? Xorg log file
available on request.
Comment 8 Bill Nottingham 2006-01-07 02:28:42 EST
Hm, I wonder if something didn't get remade right.

Is there a 'fixed' in /usr/share/X11/fonts/misc/fonts.alias, and is that
directory in chkfontpath --list?
Comment 9 Mike Jang 2006-01-07 12:50:07 EST
Yes and no. Specifically, in fonts.alias, there is

fixed        -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso8859-1

(most other fonts refer to -misc-fixed as well, e.g.
7x13euro     -misc-fixed-medium-r-normal--13-120-75-75-c-70-iso8859-15)

But from chkfontpath --list:

1: /usr/share/X11/fonts/misc:unscaled
2: /usr/share/X11/fonts/75dpi:unscaled
3: /usr/share/X11/fonts/100dpi:unscaled
4: /usr/share/X11/fonts/Type1
5: /usr/share/X11/fonts/TTF
6: /usr/share/fonts/default/Type1
7:
8: /usr/share/fonts/japanese/misc:unscaled
9: /usr/share/fonts/japanese/misc
10: /usr/share/fonts/japanese/TrueType

In this respect, both 32 bit and 64 bit FC5 test1 systems are identical.

However, there's one more interesting bit from my 32-bit /var/log/messages,
before the XKeepsCrashing script.


On boot, I get this sequence several times:

Jan  7 09:28:05 FedoraCore5 kernel: agpgart: Found an AGP 2.0 compliant device
at 0000:00:00.0.
Jan  7 09:28:05 FedoraCore5 kernel: agpgart: Putting AGP V2 device at
0000:00:00.0 into 4x mode
Jan  7 09:28:05 FedoraCore5 kernel: agpgart: Putting AGP V2 device at
0000:01:05.0 into 4x mode
Jan  7 09:28:11 FedoraCore5 gdm[2600]: gdm_slave_xioerror_handler: Fatal X error
- Restarting :0


followed by the XKeepsCrashing script message and 

Jan  7 09:28:41 FedoraCore5 gpm[2139]: Request on 6 (console 7)
Jan  7 09:28:41 FedoraCore5 gpm[2139]: *** info [client.c(284)]:
Jan  7 09:28:41 FedoraCore5 gpm[2139]: Closing
Jan  7 09:28:41 FedoraCore5 gdm[2546]: Failed to start X server several times in
a short time period; disabling display :0


When I try gdm from runlevel 3 these show up in /var/log/messages:

Jan  7 09:34:21 FedoraCore5 gconfd (root-3509): starting (version 2.12.1), pid
3509 user 'root'
Jan  7 09:34:21 FedoraCore5 gconfd (root-3509): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration
source at position 0
Jan  7 09:34:21 FedoraCore5 gconfd (root-3509): Resolved address
"xml:readwrite:/root/.gconf" to a writable configuration source at position 1
Jan  7 09:34:21 FedoraCore5 gconfd (root-3509): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source
at position 2
Jan  7 09:34:23 FedoraCore5 gpm[2139]: *** info [client.c(137)]:
Jan  7 09:34:23 FedoraCore5 gpm[2139]: Connecting at fd 6
Jan  7 09:34:25 FedoraCore5 gpm[2139]: *** info [client.c(275)]:
Jan  7 09:34:25 FedoraCore5 gpm[2139]: Request on 6 (console 7)
Jan  7 09:34:25 FedoraCore5 gpm[2139]: *** info [client.c(284)]:
Jan  7 09:34:25 FedoraCore5 gpm[2139]: Closing
Jan  7 09:34:25 FedoraCore5 kernel: Slab corruption: (Tainted: P     ) start=e69
f9000, len=4096
Jan  7 09:34:25 FedoraCore5 kernel:  [<c0148a4c>] check_poison_obj+0xb8/0x17b
Jan  7 09:34:25 FedoraCore5 kernel:  [<c014a2c0>] cache_alloc_debugcheck_after+0
x66/0x11b
Jan  7 09:34:25 FedoraCore5 kernel:  [<c01bd70d>] selinux_file_permission+0xe0/0
x150
Jan  7 09:34:25 FedoraCore5 kernel:  [<c017db4a>] seq_read+0x0/0x2b9
Jan  7 09:34:25 FedoraCore5 kernel:  [<c014a69b>] kmem_cache_alloc+0x52/0x86
Jan  7 09:34:25 FedoraCore5 kernel:  [<c017dd07>] seq_read+0x1bd/0x2b9
Jan  7 09:34:25 FedoraCore5 kernel:  [<c017dd07>] seq_read+0x1bd/0x2b9
Jan  7 09:34:25 FedoraCore5 kernel:  [<c017db4a>] seq_read+0x0/0x2b9
Jan  7 09:34:25 FedoraCore5 kernel:  [<c015f58e>] vfs_read+0xa0/0x158
Jan  7 09:34:25 FedoraCore5 kernel:  [<c015f8f7>] sys_read+0x41/0x6a
Jan  7 09:34:25 FedoraCore5 kernel:  [<c0102ec1>] syscall_call+0x7/0xb
Jan  7 09:34:25 FedoraCore5 kernel: 0c0: f3 3d ff ff 00 00 00 00 6b 6b 6b 6b 6b
6b 6b 6b
Comment 10 Mike Jang 2006-01-07 15:50:46 EST
Actually, the FC5 test1 64 bit GUI borks too... I was testing gnucash (from
another room) via SSH -X, so the results are consistent.
Comment 11 Mike Jang 2006-01-07 20:58:29 EST
I missed a step - it all works fine - after - updating the applicable xorg-x11
packages (from FC5 test1 to today's rawhide)
Comment 12 Bill Nottingham 2006-01-09 13:32:29 EST
OK, closing then. This should mean anyone installing or upgrading to final FC5
shouldn't see this.

Note You need to log in before you can comment on or make changes to this bug.